zenilib: zenilib/jni/external/libvorbis/lib/info.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
info.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <ogg/ogg.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "codebook.h"`
`#include "registry.h"`
`#include "window.h"`
`#include "psy.h"`
`#include "misc.h"`
`#include "os.h"`

Go to the source code of this file.

## Macros

#define | ENCODE_VENDOR_STRING "Xiph.Org libVorbis I 20101101 (Schaufenugget)"
#define | GENERAL_VENDOR_STRING "Xiph.Org libVorbis 1.3.2"

## Functions

static void | _v_readstring (oggpack_buffer *o, char *buf, int bytes)
static void | _v_writestring (oggpack_buffer *o, const char *s, int bytes)
static int | _vorbis_pack_books (oggpack_buffer *opb, vorbis_info *vi)
static int | _vorbis_pack_comment (oggpack_buffer *opb, vorbis_comment *vc)
static int | _vorbis_pack_info (oggpack_buffer *opb, vorbis_info *vi)
static int | _vorbis_unpack_books (vorbis_info *vi, oggpack_buffer *opb)
static int | _vorbis_unpack_comment (vorbis_comment *vc, oggpack_buffer *opb)
static int | _vorbis_unpack_info (vorbis_info *vi, oggpack_buffer *opb)
static int | ilog2 (unsigned int v)
static int | tagcompare (const char *s1, const char *s2, int n)
int | vorbis_analysis_headerout (vorbis_dsp_state *v, vorbis_comment *vc, ogg_packet *op, ogg_packet *op_comm, ogg_packet *op_code)
void | vorbis_comment_add (vorbis_comment *vc, const char *comment)
void | vorbis_comment_add_tag (vorbis_comment *vc, const char *tag, const char *contents)
void | vorbis_comment_clear (vorbis_comment *vc)
void | vorbis_comment_init (vorbis_comment *vc)
char * | vorbis_comment_query (vorbis_comment *vc, const char *tag, int count)
int | vorbis_comment_query_count (vorbis_comment *vc, const char *tag)
int | vorbis_commentheader_out (vorbis_comment *vc, ogg_packet *op)
double | vorbis_granule_time (vorbis_dsp_state *v, ogg_int64_t granulepos)
int | vorbis_info_blocksize (vorbis_info *vi, int zo)
void | vorbis_info_clear (vorbis_info *vi)
void | vorbis_info_init (vorbis_info *vi)
int | vorbis_synthesis_headerin (vorbis_info *vi, vorbis_comment *vc, ogg_packet *op)
int | vorbis_synthesis_idheader (ogg_packet *op)
const char * | vorbis_version_string (void)

## Macro Definition Documentation

#define ENCODE_VENDOR_STRING "Xiph.Org libVorbis I 20101101 (Schaufenugget)"

Definition at line 35 of file info.c.

Referenced by _vorbis_pack_comment().

#define GENERAL_VENDOR_STRING "Xiph.Org libVorbis 1.3.2"

Definition at line 34 of file info.c.

Referenced by vorbis_version_string().

## Function Documentation

static void _v_readstring | ( | oggpack_buffer * | o,
|  | char * | buf,
|  | int | bytes
| ) |  |

static

Definition at line 55 of file info.c.

References oggpack_read().

Referenced by _vorbis_unpack_comment(), vorbis_synthesis_headerin(), and vorbis_synthesis_idheader().

static void _v_writestring | ( | oggpack_buffer * | o,
|  | const char * | s,
|  | int | bytes
| ) |  |

static

Definition at line 48 of file info.c.

References oggpack_write().

Referenced by _vorbis_pack_books(), _vorbis_pack_comment(), and _vorbis_pack_info().

static int _vorbis_pack_books | ( | oggpack_buffer * | opb,
|  | vorbis_info * | vi
| ) |  |

static

Definition at line 491 of file info.c.

References _floor_P, _mapping_P, _residue_P, _v_writestring(), vorbis_info_mode::blockflag, codec_setup_info::book_param, codec_setup_info::books, vorbis_info::codec_setup, codec_setup_info::floor_param, codec_setup_info::floor_type, codec_setup_info::floors, i, codec_setup_info::map_param, codec_setup_info::map_type, vorbis_info_mode::mapping, codec_setup_info::maps, codec_setup_info::mode_param, codec_setup_info::modes, oggpack_write(), OV_EFAULT, vorbis_func_floor::pack, vorbis_func_residue::pack, vorbis_func_mapping::pack, codec_setup_info::residue_param, codec_setup_info::residue_type, codec_setup_info::residues, vorbis_info_mode::transformtype, vorbis_staticbook_pack(), and vorbis_info_mode::windowtype.

Referenced by vorbis_analysis_headerout().

static int _vorbis_pack_comment | ( | oggpack_buffer * | opb,
|  | vorbis_comment * | vc
| ) |  |

static

Definition at line 461 of file info.c.

References _v_writestring(), vorbis_comment::comment_lengths, vorbis_comment::comments, ENCODE_VENDOR_STRING, i, oggpack_write(), and vorbis_comment::user_comments.

Referenced by vorbis_analysis_headerout(), and vorbis_commentheader_out().

static int _vorbis_pack_info | ( | oggpack_buffer * | opb,
|  | vorbis_info * | vi
| ) |  |

static

Definition at line 437 of file info.c.

References _v_writestring(), vorbis_info::bitrate_lower, vorbis_info::bitrate_nominal, vorbis_info::bitrate_upper, codec_setup_info::blocksizes, vorbis_info::channels, vorbis_info::codec_setup, ilog2(), oggpack_write(), OV_EFAULT, and vorbis_info::rate.

Referenced by vorbis_analysis_headerout().

static int _vorbis_unpack_books | ( | vorbis_info * | vi,
|  | oggpack_buffer * | opb
| ) |  |

static

Definition at line 272 of file info.c.

References _floor_P, _mapping_P, _ogg_calloc, _residue_P, vorbis_info_mode::blockflag, codec_setup_info::book_param, codec_setup_info::books, vorbis_info::codec_setup, codec_setup_info::floor_param, codec_setup_info::floor_type, codec_setup_info::floors, i, codec_setup_info::map_param, codec_setup_info::map_type, vorbis_info_mode::mapping, codec_setup_info::maps, codec_setup_info::mode_param, codec_setup_info::modes, oggpack_read(), OV_EBADHEADER, OV_EFAULT, codec_setup_info::residue_param, codec_setup_info::residue_type, codec_setup_info::residues, vorbis_info_mode::transformtype, vorbis_func_floor::unpack, vorbis_func_residue::unpack, vorbis_func_mapping::unpack, VI_FLOORB, VI_MAPB, VI_RESB, VI_TIMEB, VI_WINDOWB, vorbis_info_clear(), vorbis_staticbook_unpack(), and vorbis_info_mode::windowtype.

Referenced by vorbis_synthesis_headerin().

static int _vorbis_unpack_comment | ( | vorbis_comment * | vc,
|  | oggpack_buffer * | opb
| ) |  |

static

Definition at line 240 of file info.c.

References _ogg_calloc, _v_readstring(), vorbis_comment::comment_lengths, vorbis_comment::comments, i, oggpack_bytes(), oggpack_read(), OV_EBADHEADER, oggpack_buffer::storage, vorbis_comment::user_comments, vorbis_comment::vendor, and vorbis_comment_clear().

Referenced by vorbis_synthesis_headerin().

static int _vorbis_unpack_info | ( | vorbis_info * | vi,
|  | oggpack_buffer * | opb
| ) |  |

static

Definition at line 209 of file info.c.

References vorbis_info::bitrate_lower, vorbis_info::bitrate_nominal, vorbis_info::bitrate_upper, codec_setup_info::blocksizes, vorbis_info::channels, vorbis_info::codec_setup, oggpack_read(), OV_EBADHEADER, OV_EFAULT, OV_EVERSION, vorbis_info::rate, vorbis_info::version, and vorbis_info_clear().

Referenced by vorbis_synthesis_headerin().

static int ilog2 | ( | unsigned int | v | ) |

static

Definition at line 38 of file info.c.

References ret.

Referenced by _vorbis_pack_info().

static int tagcompare | ( | const char * | s1,
|  | const char * | s2,
|  | int | n
| ) |  |

static

Definition at line 87 of file info.c.

Referenced by vorbis_comment_query(), and vorbis_comment_query_count().

int vorbis_analysis_headerout | ( | vorbis_dsp_state * | v,
|  | vorbis_comment * | vc,
|  | ogg_packet * | op,
|  | ogg_packet * | op_comm,
|  | ogg_packet * | op_code
| ) |  |

Definition at line 567 of file info.c.

References _ogg_free, _ogg_malloc, _vorbis_pack_books(), _vorbis_pack_comment(), _vorbis_pack_info(), ogg_packet::b_o_s, vorbis_dsp_state::backend_state, oggpack_buffer::buffer, ogg_packet::bytes, ogg_packet::e_o_s, ogg_packet::granulepos, private_state::header, private_state::header1, private_state::header2, memcpy, memset, NULL, oggpack_bytes(), oggpack_reset(), oggpack_writeclear(), oggpack_writeinit(), OV_EFAULT, OV_EIMPL, ogg_packet::packet, ogg_packet::packetno, ret, vorbis_dsp_state::vi, and vi.

void vorbis_comment_add | ( | vorbis_comment * | vc,
|  | const char * | comment
| ) |  |

Definition at line 65 of file info.c.

References _ogg_malloc, _ogg_realloc, vorbis_comment::comment_lengths, vorbis_comment::comments, NULL, and vorbis_comment::user_comments.

Referenced by vorbis_comment_add_tag().

void vorbis_comment_add_tag | ( | vorbis_comment * | vc,
|  | const char * | tag,
|  | const char * | contents
| ) |  |

Definition at line 77 of file info.c.

References vorbis_comment_add().

void vorbis_comment_clear | ( | vorbis_comment * | vc | ) |

Definition at line 133 of file info.c.

References _ogg_free, vorbis_comment::comment_lengths, vorbis_comment::comments, i, memset, vorbis_comment::user_comments, and vorbis_comment::vendor.

Referenced by _fetch_and_process_packet(), _fetch_headers(), _vorbis_unpack_comment(), and ov_clear().

void vorbis_comment_init | ( | vorbis_comment * | vc | ) |

Definition at line 61 of file info.c.

References memset.

Referenced by _fetch_headers().

char* vorbis_comment_query | ( | vorbis_comment * | vc,
|  | const char * | tag,
|  | int | count
| ) |  |

Definition at line 97 of file info.c.

References vorbis_comment::comments, i, NULL, tagcompare(), and vorbis_comment::user_comments.

int vorbis_comment_query_count | ( | vorbis_comment * | vc,
|  | const char * | tag
| ) |  |

Definition at line 118 of file info.c.

References vorbis_comment::comments, i, tagcompare(), and vorbis_comment::user_comments.

int vorbis_commentheader_out | ( | vorbis_comment * | vc,
|  | ogg_packet * | op
| ) |  |

Definition at line 547 of file info.c.

References _ogg_malloc, _vorbis_pack_comment(), ogg_packet::b_o_s, oggpack_buffer::buffer, ogg_packet::bytes, ogg_packet::e_o_s, ogg_packet::granulepos, memcpy, oggpack_bytes(), oggpack_writeinit(), OV_EIMPL, ogg_packet::packet, and ogg_packet::packetno.

double vorbis_granule_time | ( | vorbis_dsp_state * | v,
|  | ogg_int64_t | granulepos
| ) |  |

Definition at line 647 of file info.c.

References vorbis_info::rate, and vorbis_dsp_state::vi.

int vorbis_info_blocksize | ( | vorbis_info * | vi,
|  | int | zo
| ) |  |

Definition at line 149 of file info.c.

References codec_setup_info::blocksizes, and vorbis_info::codec_setup.

Referenced by _ov_64_seek_lap(), _ov_d_seek_lap(), ov_crosslap(), and ov_pcm_seek().

void vorbis_info_clear | ( | vorbis_info * | vi | ) |

Definition at line 160 of file info.c.

References _floor_P, _mapping_P, _ogg_free, _residue_P, _vi_psy_free(), codec_setup_info::book_param, codec_setup_info::books, vorbis_info::codec_setup, codec_setup_info::floor_param, codec_setup_info::floor_type, codec_setup_info::floors, vorbis_func_floor::free_info, vorbis_func_residue::free_info, vorbis_func_mapping::free_info, codec_setup_info::fullbooks, i, codec_setup_info::map_param, codec_setup_info::map_type, codec_setup_info::maps, memset, codec_setup_info::mode_param, codec_setup_info::modes, codec_setup_info::psy_param, codec_setup_info::psys, codec_setup_info::residue_param, codec_setup_info::residue_type, codec_setup_info::residues, vorbis_book_clear(), and vorbis_staticbook_destroy().

Referenced by _fetch_and_process_packet(), _fetch_headers(), _vorbis_unpack_books(), _vorbis_unpack_info(), ov_clear(), vorbis_encode_init(), and vorbis_encode_init_vbr().

void vorbis_info_init | ( | vorbis_info * | vi | ) |

Definition at line 155 of file info.c.

References _ogg_calloc, vorbis_info::codec_setup, and memset.

Referenced by _fetch_headers().

int vorbis_synthesis_headerin | ( | vorbis_info * | vi,
|  | vorbis_comment * | vc,
|  | ogg_packet * | op
| ) |  |

Definition at line 379 of file info.c.

References _v_readstring(), _vorbis_unpack_books(), _vorbis_unpack_comment(), _vorbis_unpack_info(), ogg_packet::b_o_s, ogg_packet::bytes, memset, NULL, oggpack_read(), oggpack_readinit(), OV_EBADHEADER, OV_ENOTVORBIS, ogg_packet::packet, vorbis_info::rate, and vorbis_comment::vendor.

Referenced by _fetch_headers().

int vorbis_synthesis_idheader | ( | ogg_packet * | op | ) |

Definition at line 350 of file info.c.

References _v_readstring(), ogg_packet::b_o_s, ogg_packet::bytes, memset, oggpack_read(), oggpack_readinit(), and ogg_packet::packet.

Referenced by _fetch_headers().

const char* vorbis_version_string | ( | void |  | ) |

Definition at line 662 of file info.c.

References GENERAL_VENDOR_STRING.